
Foreman - Bug #1570

Add support for editing nodes that does not have FQDN.

04/10/2012 06:55 AM - Elias Abacioglu

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm not sure if this is a bug or a feature request.

There are some servers that only has a hostname and not a fqdn, so node instead of node.fqdn

If there is no fqdn there is no way to edit the node and add it to a host group.

Why not just rename the server? Because some applications that run on those servers are poorly programmed and crash when I

input a to long of a hostname including FQDN.

And some servers have legacy applications that I have no idea of how they will act if I change the nodes hostname.

History

#1 - 04/10/2012 06:57 AM - Ohad Levy

- Category deleted (DNS)

i guess you dont have provisioning enabled, otherwise, you can select the domain and there should not be an issue.

so really, the issue are hosts without a domain?

#2 - 04/10/2012 08:01 AM - Elias Abacioglu

Yes

#3 - 04/10/2012 10:50 AM - Elias Abacioglu

You have same issue even if you have certname = node.fqdn in puppet.conf.

So cheating wont work either..

#4 - 04/11/2012 07:44 AM - Elias Abacioglu

Unless you add the domain manually.. Then you can edit the node.

#5 - 11/13/2012 12:12 PM - Greg Sutcliffe

- Target version set to Bug scrub

#6 - 10/16/2013 04:04 PM - Greg Sutcliffe

- Target version deleted (Bug scrub)
